import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { PrjDeployConf } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:06
 */
interface PrjDeployConfCU extends ConditionUtil<PrjDeployConfCU>{
    ID:FieldUtil<PrjDeployConfCU>;
    PROJECT_ID:FieldUtil<PrjDeployConfCU>;
    PID:FieldUtil<PrjDeployConfCU>;
    MAJOR:FieldUtil<PrjDeployConfCU>;
    MINOR_VERSION_NO:FieldUtil<PrjDeployConfCU>;
    VERSION_NO:FieldUtil<PrjDeployConfCU>;
    MINOR_VERSION_ID:FieldUtil<PrjDeployConfCU>;
    REVISION_VERSION_ID:FieldUtil<PrjDeployConfCU>;
    ENV_ID:FieldUtil<PrjDeployConfCU>;
    ENV_CODE:FieldUtil<PrjDeployConfCU>;
    ENV_TYPE:FieldUtil<PrjDeployConfCU>;
    DEFAULT_VERSION:FieldUtil<PrjDeployConfCU>;
    DEPLOY_METHOD:FieldUtil<PrjDeployConfCU>;
    LOG_CONFIG_TEMPLATE_ID:FieldUtil<PrjDeployConfCU>;
    INSTANCE_CPU:FieldUtil<PrjDeployConfCU>;
    INSTANCE_MEMORY:FieldUtil<PrjDeployConfCU>;
    MIN_INSTANCE:FieldUtil<PrjDeployConfCU>;
    MAX_INSTANCE:FieldUtil<PrjDeployConfCU>;
    RUN_STATUS:FieldUtil<PrjDeployConfCU>;
    DEPLOY_STATUS:FieldUtil<PrjDeployConfCU>;
    DEPLOY_MSG:FieldUtil<PrjDeployConfCU>;
    DEPLOY_PARAMETERS:FieldUtil<PrjDeployConfCU>;
    ENV_VARIABLE:FieldUtil<PrjDeployConfCU>;
    COMMIT_ID:FieldUtil<PrjDeployConfCU>;
    COMMIT_TAG:FieldUtil<PrjDeployConfCU>;
    K8S_ID:FieldUtil<PrjDeployConfCU>;
    KAFKA_ID:FieldUtil<PrjDeployConfCU>;
    K8S_CONFIG:FieldUtil<PrjDeployConfCU>;
    KAFKA_CONFIG:FieldUtil<PrjDeployConfCU>;
    LOG_CONFIG:FieldUtil<PrjDeployConfCU>;
    PRJ_TYPE:FieldUtil<PrjDeployConfCU>;
    APP_OPTIONS_CONFIG:FieldUtil<PrjDeployConfCU>;
    K8S_CLUSTER_ID:FieldUtil<PrjDeployConfCU>;
    METRICS_TEMPLATE_ID:FieldUtil<PrjDeployConfCU>;
    SUBSCRIPTION_ID:FieldUtil<PrjDeployConfCU>;
    CREATE_TIME:FieldUtil<PrjDeployConfCU>;
    UPDATE_TIME:FieldUtil<PrjDeployConfCU>;
    UPDATE_USER_ID:FieldUtil<PrjDeployConfCU>;
    CREATE_USER_ID:FieldUtil<PrjDeployConfCU>;
}

class PrjDeployConfCUImpl extends ConditionUtilImpl<PrjDeployConfCUImpl> implements PrjDeployConfCU{ 
    newInstance(): PrjDeployConfCUImpl {
        return new PrjDeployConfCUImpl();
    } 
    get ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get PROJECT_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('project_id','projectId','project_id', this);
    }
    get PID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('pid','pid','项目服务ID', this);
    }
    get MAJOR(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('major','major','主版本', this);
    }
    get MINOR_VERSION_NO(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('minor_version_no','minorVersionNo','次版本号', this);
    }
    get VERSION_NO(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('version_no','versionNo','revision版本号', this);
    }
    get MINOR_VERSION_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('minor_version_id','minorVersionId','次版本ID', this);
    }
    get REVISION_VERSION_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('revision_version_id','revisionVersionId','修订版本ID', this);
    }
    get ENV_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('env_id','envId','环境ID', this);
    }
    get ENV_CODE(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('env_code','envCode','环境代码', this);
    }
    get ENV_TYPE(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('env_type','envType','TEST、PROD', this);
    }
    get DEFAULT_VERSION(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('default_version','defaultVersion','default_version', this);
    }
    get DEPLOY_METHOD(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('deploy_method','deployMethod','0:手动、1:自动', this);
    }
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('log_config_template_id','logConfigTemplateId','日志模板ID', this);
    }
    get INSTANCE_CPU(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('instance_cpu','instanceCpu','instance_cpu', this);
    }
    get INSTANCE_MEMORY(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('instance_memory','instanceMemory','instance_memory', this);
    }
    get MIN_INSTANCE(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('min_instance','minInstance','min_instance', this);
    }
    get MAX_INSTANCE(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('max_instance','maxInstance','max_instance', this);
    }
    get RUN_STATUS(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('run_status','runStatus','0:运行中、1:未运行、2:已停止', this);
    }
    get DEPLOY_STATUS(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('deploy_status','deployStatus',' 0:已部署、1:待部署、2:部署中、3:部署失败、4：待停止、5、停止中、6：已停止
6:停止中、', this);
    }
    get DEPLOY_MSG(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('deploy_msg','deployMsg','部署信息,日志描述', this);
    }
    get DEPLOY_PARAMETERS(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('deploy_parameters','deployParameters','部署参数', this);
    }
    get ENV_VARIABLE(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('env_variable','envVariable','环境变量', this);
    }
    get COMMIT_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('commit_id','commitId','项目commitId', this);
    }
    get COMMIT_TAG(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('commit_tag','commitTag','项目Tag', this);
    }
    get K8S_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('k8s_id','k8sId','K8S集群配置ID', this);
    }
    get KAFKA_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('kafka_id','kafkaId','Kafka配置ID', this);
    }
    get K8S_CONFIG(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('k8s_config','k8sConfig','K8S 配置', this);
    }
    get KAFKA_CONFIG(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('kafka_config','kafkaConfig','Kafka配置', this);
    }
    get LOG_CONFIG(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('log_config','logConfig','日志配置', this);
    }
    get PRJ_TYPE(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('prj_type','prjType','prj_type', this);
    }
    get APP_OPTIONS_CONFIG(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('app_options_config','appOptionsConfig','app_options_config', this);
    }
    get K8S_CLUSTER_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('k8s_cluster_id','k8sClusterId','k8s_cluster_id', this);
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('metrics_template_id','metricsTemplateId','metrics_template_id', this);
    }
    get SUBSCRIPTION_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('subscription_id','subscriptionId','订阅id', this);
    }
    get CREATE_TIME(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('create_time','createTime','create_time', this);
    }
    get UPDATE_TIME(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('update_time','updateTime','update_time', this);
    }
    get UPDATE_USER_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('update_user_id','updateUserId','修改人ID', this);
    }
    get CREATE_USER_ID(): FieldUtil<PrjDeployConfCU>{  
        return new FieldUtil('create_user_id','createUserId','创建人ID', this);
    }
}

@Singleton 
class PrjDeployConfMU extends TableUtilImpl<PrjDeployConfCU,PrjDeployConf>{ 
    tableName  = 'prj_deploy_conf';
    tableFields  = ['id','project_id','pid','major','minor_version_no','version_no','minor_version_id','revision_version_id','env_id','env_code','env_type','default_version','deploy_method','log_config_template_id','instance_cpu','instance_memory','min_instance','max_instance','run_status','deploy_status','deploy_msg','deploy_parameters','env_variable','commit_id','commit_tag','k8s_id','kafka_id','k8s_config','kafka_config','log_config','prj_type','app_options_config','k8s_cluster_id','metrics_template_id','subscription_id','create_time','update_time','update_user_id','create_user_id'];
    modelFields  = ['id','projectId','pid','major','minorVersionNo','versionNo','minorVersionId','revisionVersionId','envId','envCode','envType','defaultVersion','deployMethod','logConfigTemplateId','instanceCpu','instanceMemory','minInstance','maxInstance','runStatus','deployStatus','deployMsg','deployParameters','envVariable','commitId','commitTag','k8sId','kafkaId','k8sConfig','kafkaConfig','logConfig','prjType','appOptionsConfig','k8sClusterId','metricsTemplateId','subscriptionId','createTime','updateTime','updateUserId','createUserId'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): PrjDeployConfCU {
        return new PrjDeployConfCUImpl();
    }   

    static get ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('id','id','主键', new PrjDeployConfCUImpl());
    }
    static get PROJECT_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('project_id','projectId','project_id', new PrjDeployConfCUImpl());
    }
    static get PID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('pid','pid','项目服务ID', new PrjDeployConfCUImpl());
    }
    static get MAJOR(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('major','major','主版本', new PrjDeployConfCUImpl());
    }
    static get MINOR_VERSION_NO(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('minor_version_no','minorVersionNo','次版本号', new PrjDeployConfCUImpl());
    }
    static get VERSION_NO(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('version_no','versionNo','revision版本号', new PrjDeployConfCUImpl());
    }
    static get MINOR_VERSION_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('minor_version_id','minorVersionId','次版本ID', new PrjDeployConfCUImpl());
    }
    static get REVISION_VERSION_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('revision_version_id','revisionVersionId','修订版本ID', new PrjDeployConfCUImpl());
    }
    static get ENV_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('env_id','envId','环境ID', new PrjDeployConfCUImpl());
    }
    static get ENV_CODE(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('env_code','envCode','环境代码', new PrjDeployConfCUImpl());
    }
    static get ENV_TYPE(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('env_type','envType','TEST、PROD', new PrjDeployConfCUImpl());
    }
    static get DEFAULT_VERSION(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('default_version','defaultVersion','default_version', new PrjDeployConfCUImpl());
    }
    static get DEPLOY_METHOD(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('deploy_method','deployMethod','0:手动、1:自动', new PrjDeployConfCUImpl());
    }
    static get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('log_config_template_id','logConfigTemplateId','日志模板ID', new PrjDeployConfCUImpl());
    }
    static get INSTANCE_CPU(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('instance_cpu','instanceCpu','instance_cpu', new PrjDeployConfCUImpl());
    }
    static get INSTANCE_MEMORY(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('instance_memory','instanceMemory','instance_memory', new PrjDeployConfCUImpl());
    }
    static get MIN_INSTANCE(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('min_instance','minInstance','min_instance', new PrjDeployConfCUImpl());
    }
    static get MAX_INSTANCE(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('max_instance','maxInstance','max_instance', new PrjDeployConfCUImpl());
    }
    static get RUN_STATUS(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('run_status','runStatus','0:运行中、1:未运行、2:已停止', new PrjDeployConfCUImpl());
    }
    static get DEPLOY_STATUS(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('deploy_status','deployStatus',' 0:已部署、1:待部署、2:部署中、3:部署失败、4：待停止、5、停止中、6：已停止
6:停止中、', new PrjDeployConfCUImpl());
    }
    static get DEPLOY_MSG(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('deploy_msg','deployMsg','部署信息,日志描述', new PrjDeployConfCUImpl());
    }
    static get DEPLOY_PARAMETERS(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('deploy_parameters','deployParameters','部署参数', new PrjDeployConfCUImpl());
    }
    static get ENV_VARIABLE(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('env_variable','envVariable','环境变量', new PrjDeployConfCUImpl());
    }
    static get COMMIT_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('commit_id','commitId','项目commitId', new PrjDeployConfCUImpl());
    }
    static get COMMIT_TAG(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('commit_tag','commitTag','项目Tag', new PrjDeployConfCUImpl());
    }
    static get K8S_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('k8s_id','k8sId','K8S集群配置ID', new PrjDeployConfCUImpl());
    }
    static get KAFKA_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('kafka_id','kafkaId','Kafka配置ID', new PrjDeployConfCUImpl());
    }
    static get K8S_CONFIG(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('k8s_config','k8sConfig','K8S 配置', new PrjDeployConfCUImpl());
    }
    static get KAFKA_CONFIG(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('kafka_config','kafkaConfig','Kafka配置', new PrjDeployConfCUImpl());
    }
    static get LOG_CONFIG(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('log_config','logConfig','日志配置', new PrjDeployConfCUImpl());
    }
    static get PRJ_TYPE(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('prj_type','prjType','prj_type', new PrjDeployConfCUImpl());
    }
    static get APP_OPTIONS_CONFIG(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('app_options_config','appOptionsConfig','app_options_config', new PrjDeployConfCUImpl());
    }
    static get K8S_CLUSTER_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('k8s_cluster_id','k8sClusterId','k8s_cluster_id', new PrjDeployConfCUImpl());
    }
    static get METRICS_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('metrics_template_id','metricsTemplateId','metrics_template_id', new PrjDeployConfCUImpl());
    }
    static get SUBSCRIPTION_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('subscription_id','subscriptionId','订阅id', new PrjDeployConfCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('create_time','createTime','create_time', new PrjDeployConfCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('update_time','updateTime','update_time', new PrjDeployConfCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('update_user_id','updateUserId','修改人ID', new PrjDeployConfCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<PrjDeployConfCU>{ 
        return new FieldUtil('create_user_id','createUserId','创建人ID', new PrjDeployConfCUImpl());
    }

    get ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.ID;
    }
    get PROJECT_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.PROJECT_ID;
    }
    get PID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.PID;
    }
    get MAJOR(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.MAJOR;
    }
    get MINOR_VERSION_NO(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.MINOR_VERSION_NO;
    }
    get VERSION_NO(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.VERSION_NO;
    }
    get MINOR_VERSION_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.MINOR_VERSION_ID;
    }
    get REVISION_VERSION_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.REVISION_VERSION_ID;
    }
    get ENV_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.ENV_ID;
    }
    get ENV_CODE(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.ENV_CODE;
    }
    get ENV_TYPE(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.ENV_TYPE;
    }
    get DEFAULT_VERSION(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.DEFAULT_VERSION;
    }
    get DEPLOY_METHOD(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.DEPLOY_METHOD;
    }
    get LOG_CONFIG_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.LOG_CONFIG_TEMPLATE_ID;
    }
    get INSTANCE_CPU(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.INSTANCE_CPU;
    }
    get INSTANCE_MEMORY(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.INSTANCE_MEMORY;
    }
    get MIN_INSTANCE(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.MIN_INSTANCE;
    }
    get MAX_INSTANCE(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.MAX_INSTANCE;
    }
    get RUN_STATUS(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.RUN_STATUS;
    }
    get DEPLOY_STATUS(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.DEPLOY_STATUS;
    }
    get DEPLOY_MSG(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.DEPLOY_MSG;
    }
    get DEPLOY_PARAMETERS(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.DEPLOY_PARAMETERS;
    }
    get ENV_VARIABLE(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.ENV_VARIABLE;
    }
    get COMMIT_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.COMMIT_ID;
    }
    get COMMIT_TAG(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.COMMIT_TAG;
    }
    get K8S_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.K8S_ID;
    }
    get KAFKA_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.KAFKA_ID;
    }
    get K8S_CONFIG(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.K8S_CONFIG;
    }
    get KAFKA_CONFIG(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.KAFKA_CONFIG;
    }
    get LOG_CONFIG(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.LOG_CONFIG;
    }
    get PRJ_TYPE(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.PRJ_TYPE;
    }
    get APP_OPTIONS_CONFIG(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.APP_OPTIONS_CONFIG;
    }
    get K8S_CLUSTER_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.K8S_CLUSTER_ID;
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.METRICS_TEMPLATE_ID;
    }
    get SUBSCRIPTION_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.SUBSCRIPTION_ID;
    }
    get CREATE_TIME(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.UPDATE_TIME;
    }
    get UPDATE_USER_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.UPDATE_USER_ID;
    }
    get CREATE_USER_ID(): FieldUtil<PrjDeployConfCU>{ 
        return PrjDeployConfMU.CREATE_USER_ID;
    }
}
export {PrjDeployConfMU, PrjDeployConfCU}
